0

I am trying to install Thunderbird 38.1 on Ubuntu 14.04 but get the following error.

XPCOMGlueLoad error for file /home/mike/thunderbird/libxul.so: 
 libdbus-glib-1.so.2: cannot open shared object file: No such file or directory
 Couldn't load XPCOM. 

But the strange thing is my PC dual boots with Mint 17.1 and I can install Thunderbird on it with no problems.

1

Thanks for all the tips so far. The answer came from the hint that warci provided of asking whether I was using the 32bit version on a 64 bit system. I am running a 64 bit system and it was the 64 bit version I was having trouble with.

However just for the hell of it, I installed the 32 bit version on my 64 bit system and lo' and behold it is now working.

I have no idea why??

| improve this answer | |
0

Press Ctrl+Alt+T to open a Terminal. Type this to install libdbus-glib-1-2

sudo apt-get install libdbus-glib-1-2

Hope this helps.

| improve this answer | |
  • Nope. Says no files were added or upgraded so I assume that means it is already installed. – zeonite Jul 15 '15 at 16:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.